Resource Center/Resource Pool/Snapshot Group Operations
POSTSnapshot Group OperationsSince 3.6.0SynchronousAuth Required
CreateVolumeSnapshotGroup
CreateVolumeSnapshotGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
rootVolumeUuidStringRequiredThe root volume UUID.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/volume-snapshots/group
/zstack/v1/volume-snapshots/group
Request Example
curl -X POST 'http://{host}/zstack/v1/volume-snapshots/group' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"rootVolumeUuid":"<rootVolumeUuid>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "4b13e23059033e2dbfac63b5b16eba11", "snapshotCount": 1.0, "name": "group", "vmInstanceUuid": "9ff17180fded31c2b9e4e5751ebcb2ba", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "volumeSnapshotRefs": [ { "volumeSnapshotUuid": "e83b2d306f0d353a889096ca0b44b444", "volumeSnapshotGroupUuid": "4b13e23059033e2dbfac63b5b16eba11", "deviceId": 0.0, "snapshotDeleted": false, "volumeUuid": "edc07fe8d8a335ec8aa00f23b88fc1c6", "volumeName": "ROOT-volume", "volumeType": "Root", "volumeSnapshotInstallPath": "/Cloud_ps/to/path/snap.qcow2", "volumeSnapshotName": "group-ROOT-volume", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }Change History
This API has no change history records yet.
